body.image-light-box-freeze {
	height: 100vh;
	overflow-y: hidden;
}
  
  /* IMG-LIGHT: Image Light */

.image-light {
	box-sizing: border-box;
	
	/* work out a placeholder height and width */
	position:relative;
	width: 100%;
	height: 0;
	padding-top: 50%; /* default is 50% of height, this will change if dimensions are given */
}

.image-light a,
.image-light button {
	min-height: 2.0rem;
	min-width: 2.0rem;
	background: url("data:image/gif;base64,R0lGODlhEAAQAPIAAP///wAAAMLCwkJCQgAAAGJiYoKCgpKSkiH/C05FVFNDQVBFMi4wAwEAAAAh/hpDcmVhdGVkIHdpdGggYWpheGxvYWQuaW5mbwAh+QQJCgAAACwAAAAAEAAQAAADMwi63P4wyklrE2MIOggZnAdOmGYJRbExwroUmcG2LmDEwnHQLVsYOd2mBzkYDAdKa+dIAAAh+QQJCgAAACwAAAAAEAAQAAADNAi63P5OjCEgG4QMu7DmikRxQlFUYDEZIGBMRVsaqHwctXXf7WEYB4Ag1xjihkMZsiUkKhIAIfkECQoAAAAsAAAAABAAEAAAAzYIujIjK8pByJDMlFYvBoVjHA70GU7xSUJhmKtwHPAKzLO9HMaoKwJZ7Rf8AYPDDzKpZBqfvwQAIfkECQoAAAAsAAAAABAAEAAAAzMIumIlK8oyhpHsnFZfhYumCYUhDAQxRIdhHBGqRoKw0R8DYlJd8z0fMDgsGo/IpHI5TAAAIfkECQoAAAAsAAAAABAAEAAAAzIIunInK0rnZBTwGPNMgQwmdsNgXGJUlIWEuR5oWUIpz8pAEAMe6TwfwyYsGo/IpFKSAAAh+QQJCgAAACwAAAAAEAAQAAADMwi6IMKQORfjdOe82p4wGccc4CEuQradylesojEMBgsUc2G7sDX3lQGBMLAJibufbSlKAAAh+QQJCgAAACwAAAAAEAAQAAADMgi63P7wCRHZnFVdmgHu2nFwlWCI3WGc3TSWhUFGxTAUkGCbtgENBMJAEJsxgMLWzpEAACH5BAkKAAAALAAAAAAQABAAAAMyCLrc/jDKSatlQtScKdceCAjDII7HcQ4EMTCpyrCuUBjCYRgHVtqlAiB1YhiCnlsRkAAAOwAAAAAAAAAAAA==") 50% no-repeat; /* this is the "waiting" animation */
	border: 0.1rem solid black;
	border-radius: 0.5rem;
	display: block;
	/*text-indent: -99999px;
	font-size: 0px;*/
	box-sizing: border-box;
	
	/* placeholder height and width */ 
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
}

.image-light a.loaded,
.image-light button.loaded {
	border: none;
    /*cursor:url("zoom.cur"), -moz-zoom-in; */
}

/* TODO: is any of the above necessary? */

 a.image-light img,
 button.image-light img {
	display: block;
	height: 100%;
	max-height: 60vh;
	width: auto;
	margin-right: auto;
	margin-left: auto;
}

/* The lightbox is pure CSS!
https://codepen.io/gschier/pen/HCoqh
by Gregory Schier (https://codepen.io/gschier/)
*/
.image-light-box {
	/** Default lightbox to be hidden */
	display: none;

	/** Position and style */
	position: fixed;
	z-index: 9999;
	width: 100%;
	height: 100%;
	text-align: center;
	top: 0;
	left: 0;
	background: rgba(0,0,0,0.8);

		/* width: 50vw;
		height: 50vh; */
		/* display: flex; */

}

.image-light-box.image-light-box-open {
	display: block;
}

.image-light-box > img {
	/** Pad the lightbox image */
	/* max-width: 96%;
	max-height: 96%;
	margin-top: 2%; */

		margin: auto auto;
		max-width: 100vw;
		max-height: 100vh;
}

a.image-light-map {
	padding: .1rem 2rem .1rem 0;
    white-space:nowrap;
	background: url('data:image/png;base64,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')
	   no-repeat center right; /* this is the "map" pin */
	   background-size: 2.0rem 1.5rem;
}